

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.39. normalizer_list &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.40. object_exist" href="object_exist.html" />
    <link rel="prev" title="7.3.38. normalize" href="normalize.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/normalizer_list.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="object_exist.html" title="7.3.40. object_exist"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="normalize.html" title="7.3.38. normalize"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.39. </span><code class="docutils literal notranslate"><span class="pre">normalizer_list</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="normalizer-list">
<h1><span class="section-number">7.3.39. </span><code class="docutils literal notranslate"><span class="pre">normalizer_list</span></code><a class="headerlink" href="#normalizer-list" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.39.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">normalizer_list</span></code> コマンドはデータベースに登録されているノーマライザーの一覧を返します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.39.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドに引数はありません:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalizer_list
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.39.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下は簡単な使用例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>normalizer_list
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     {
#       &quot;name&quot;: &quot;NormalizerAuto&quot;
#     },
#     {
#       &quot;name&quot;: &quot;NormalizerNFKC51&quot;
#     }
#   ]
# ]
</pre></div>
</div>
<p>データベースに登録されているノーマライザーの一覧を返します。</p>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.39.4. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">normalizer_list</span></code> コマンドはノーマライザーの一覧を返します。各ノーマライザーは属性を持っています。例えば名前です。将来、属性は増えるかもしれません。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, normalizers]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">normalizers</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">normalizers</span></code> はノーマライザーの配列です。ノーマライザーは次の属性を持つオブジェクトです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>名前</p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">name</span></code></p></td>
<td><p>ノーマライザー名。</p></td>
</tr>
</tbody>
</table>
</div></blockquote>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.39.5. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="../normalizers.html"><span class="doc">ノーマライザー</span></a></p></li>
<li><p><a class="reference internal" href="normalize.html"><span class="doc">normalize</span></a></p></li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.39. <code class="docutils literal notranslate"><span class="pre">normalizer_list</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.39.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.39.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.39.3. 使い方</a></li>
<li><a class="reference internal" href="#return-value">7.3.39.4. 戻り値</a></li>
<li><a class="reference internal" href="#see-also">7.3.39.5. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="normalize.html"
                        title="前の章へ"><span class="section-number">7.3.38. </span><code class="docutils literal notranslate"><span class="pre">normalize</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="object_exist.html"
                        title="次の章へ"><span class="section-number">7.3.40. </span><code class="docutils literal notranslate"><span class="pre">object_exist</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="object_exist.html" title="7.3.40. object_exist"
             >次へ</a> |</li>
        <li class="right" >
          <a href="normalize.html" title="7.3.38. normalize"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.39. </span><code class="docutils literal notranslate"><span class="pre">normalizer_list</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>